scsi_remove_target
Prev | drivers/scsi/scsi_sysfs.c | Next

## Name

scsi_remove_target — try to remove a target and all its devices

## Synopsis

`void scsi_remove_target (` | struct device * | dev`)`;

## Arguments

`dev`

  generic starget or parent of generic stargets to be removed

## Note

This is slightly racy. It is possible that if the user requests the addition of another device then the target won't be removed.

Prev | Up | Next
scsi_remove_device | Home | scsi_host_set_state